Package org.pushingpixels.substance.swingx

# Class SubstanceTableUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TableUI
javax.swing.plaf.basic.BasicTableUI
org.pushingpixels.substance.internal.ui.SubstanceTableUI
org.pushingpixels.substance.swingx.SubstanceTableUI

All Implemented Interfaces:
  `org.pushingpixels.substance.internal.utils.UpdateOptimizationAware`

public class SubstanceTableUI extends org.pushingpixels.substance.internal.ui.SubstanceTableUI
Substance-consistent UI delegate for `JXPanel`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.substance.internal.ui.SubstanceTableUI

`org.pushingpixels.substance.internal.ui.SubstanceTableUI.CellRepaintCallback, org.pushingpixels.substance.internal.ui.SubstanceTableUI.ColumnRepaintCallback, org.pushingpixels.substance.internal.ui.SubstanceTableUI.RowRepaintCallback, org.pushingpixels.substance.internal.ui.SubstanceTableUI.TableCellId, org.pushingpixels.substance.internal.ui.SubstanceTableUI.TableStateListener`

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTableUI

`BasicTableUI.FocusHandler, BasicTableUI.KeyHandler, BasicTableUI.MouseInputHandler`

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.ui.SubstanceTableUI

`defaultEditors, defaultRenderers, drawLeadingVerticalLine, drawTrailingVerticalLine, focusedCellId, rolledOverColumn, rolledOverIndices, selectedIndices, substanceFadeRolloverListener, substanceFocusListener, substancePropertyChangeListener, substanceTableStateListener`

### Fields inherited from class javax.swing.plaf.basic.BasicTableUI

`focusListener, keyListener, mouseInputListener, rendererPane, table`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceTableUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installRendererIfNecessary(Class<?> clazz, TableCellRenderer renderer)`

### Methods inherited from class org.pushingpixels.substance.internal.ui.SubstanceTableUI

`_hasAnimations, _hasRolloverAnimations, _hasSelectionAnimations, getCellRendererInsets, getCellState, getId, getModelStateInfo, getRolloverColumnIndex, getStateTransitionTracker, getUpdateOptimizationInfo, hasRolloverAnimations, hasSelectionAnimations, installDefaults, installEditorIfNecessary, installListeners, isFocusedCell, paint, paintCell, paintCells, paintDraggedArea, paintDropLines, paintGrid, syncSelection, uninstallDefaults, uninstallEditorIfNecessary, uninstallListeners, uninstallRendererIfNecessary, update`

### Methods inherited from class javax.swing.plaf.basic.BasicTableUI

`createFocusListener, createKeyListener, createMouseInputListener, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installKeyboardActions, installUI, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceTableUI

public SubstanceTableUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installRendererIfNecessary

protected void installRendererIfNecessary(Class<?> clazz, TableCellRenderer renderer)

Overrides:
  `installRendererIfNecessary` in class `org.pushingpixels.substance.internal.ui.SubstanceTableUI`